Bug 133539 - multimedia/avidemux2 is broken with current multimedia/x264 (x264-0.0.20081218)
Summary: multimedia/avidemux2 is broken with current multimedia/x264 (x264-0.0.20081218)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-09 15:30 UTC by me
Modified: 2009-04-18 12:50 UTC (History)
0 users

See Also:


Attachments
file.diff (8.11 KB, patch)
2009-04-09 15:30 UTC, me
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description me 2009-04-09 15:30:08 UTC
Problem 1:
- multimedia/avidemux2 does not build after the last multimedia/x264 update to x264-0.0.20081218.
Problem 2:
- all LIB_DEPENDS of this port miss a shlib version (thus, the PORTREVISION was not bumped at the last multimedia/x264 update)

Fix: Problem 1:
- adjust patches for avidemux2-2.4.4
- drop patch-avidemux__ADM_encoder__adm_encx264.cpp (Is this the correct fix?)
- update to avidemux2-2.4.4
Problem 2:
- add current shlib versions for all LIB_DEPENDS

Patch attached with submission follows:
How-To-Repeat: Problem 1:
- try to build the port with current tree
Problem 2:
- see commit history for the multimedia/x264 bump
- check the Makefile
Comment 1 Edwin Groothuis freebsd_committer 2009-04-09 15:30:18 UTC
Maintainer of multimedia/avidemux2,

Please note that PR ports/133539 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/133539

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-04-09 15:30:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Dmitry Marakasov freebsd_committer 2009-04-09 18:35:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 4 Dmitry Marakasov freebsd_committer 2009-04-18 00:36:33 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2009-04-18 12:45:23 UTC
amdmi3      2009-04-17 23:35:38 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/avidemux2 Makefile distinfo 
    multimedia/avidemux2/files patch-ConfigureChecks.cmake 
                               patch-avidemux__ADM_userInterfaces__ADM_QT4__ui_support.cpp 
  Added files:
    multimedia/avidemux2/files 
                               patch-avidemux__ADM_libraries__ADM_lavcodec__mpegvideo.h 
                               patch-avidemux__ADM_libraries__ADM_libtwolame__bitbuffer.h 
  Removed files:
    multimedia/avidemux2/files 
                               patch-avidemux__ADM_encoder__adm_encx264.cpp 
  Log:
  - Update to 2.4.4
  - Fix build with curret x264
  - While here, also fix some `nested declaration' errors on -current
  
  PR:             133539
  Submitted by:   Jan Henrik Sylvester <me at janh dot de>
  Approved by:    portmgr (pav)
  
  Revision  Changes    Path
  1.58      +19 -20    ports/multimedia/avidemux2/Makefile
  1.19      +3 -3      ports/multimedia/avidemux2/distinfo
  1.2       +13 -13    ports/multimedia/avidemux2/files/patch-ConfigureChecks.cmake
  1.2       +0 -10     ports/multimedia/avidemux2/files/patch-avidemux__ADM_encoder__adm_encx264.cpp (dead)
  1.1       +15 -0     ports/multimedia/avidemux2/files/patch-avidemux__ADM_libraries__ADM_lavcodec__mpegvideo.h (new)
  1.1       +11 -0     ports/multimedia/avidemux2/files/patch-avidemux__ADM_libraries__ADM_libtwolame__bitbuffer.h (new)
  1.2       +5 -5      ports/multimedia/avidemux2/files/patch-avidemux__ADM_userInterfaces__ADM_QT4__ui_support.cpp
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"